Subject: RE: DLL Data and Copy-on-write (was RE: Why is cygwin.dll?)
From: [email-masked] (Colin Peters)

21 Jan 1997 00:47:45 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC07B1.B2F2E580.cygnus.gnu-win32@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'J.J.Farrell'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

J.J.Farrell[SMTP:[email-masked]] wrote:
>> From: Colin Peters <[email-masked]>
>> 
>> By the way, from another part of Advanced Windows by Jeffery Richter
>> (Microsoft Press):
>> 
>> 	"When an EXE or a DLL file is loaded from a floppy disk, both
>> 	Windows 95 and Windows NT allocate storage for the entire
>> 	file from the system's paging file. The system then copies the
>> 	file from the floppy into the system's RAM and the system's
>> 	paging file; the paging file is said to back the RAM."
>> 
>> In other words a large DLL does in fact use virtual memory even if
>> you don't ever call any of it's functions.
>
>Hmmm ... how often do you expect to use programs which load cygwin32.dll
>from a floppy?

God that's embarrassing.

Sorry.

(Hmm.. I wonder does NT do this for all removable media? Syquest drives?
MO drives? CDs? Presumably it must do it for network drives... well,
maybe not must, but it would sure help performance in that case. But in
any case I guess cygwin.dll would probably reside in /windows/system.
Like I said <red face> sorry.)

Colin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- Fundamentals of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/home.html

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".